@echo off
title Enfocar Programa

if "%1"=="" (
    echo Error: Debes especificar el nombre del programa
    echo.
    echo Uso: %~nx0 NombreDelPrograma
    echo Ejemplo: %~nx0 notepad
    echo Ejemplo: %~nx0 EuroSy32
    pause
    exit /b 1
)

echo Buscando %1...

powershell -command "$null = if (Get-Process %1 -ErrorAction SilentlyContinue) { (New-Object -ComObject WScript.Shell).AppActivate((Get-Process %1).Id) } else { Start-Process %1 }"

